



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>《ImageNet Classification with Deep Convolutional Neural Networks》 剖析</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">《ImageNet Classification with Deep Convolutional Neural Networks》 剖析</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-28 17:43:50 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>《ImageNet Classification with Deep Convolutional Neural Networks》 剖析</p>
<p>CNN 领域的经典之作， 作者训练了一个面向数量为 1.2 百万的高分辨率的图像数据集ImageNet， 图像的种类为1000 种的深度卷积神经网络。并在图像识别的benchmark数据集上取得了卓越的成绩。</p>
<p>和之间的LeNet还是有着异曲同工之妙。这里涉及到 category 种类多的因素，该网络考虑了多通道卷积操作， 卷积操作也不是 LeNet 的单通道卷积了 （LeNet仅仅限于 gray image 的 digit recognition ， label种类就10个）。</p>
<p>该神经网络有6千万个参数，650，000个神经元。包含了五个卷积层（卷积操作层和下采样层统称之为卷积层）， 和三个全连接层。 为了使得训练更快，让网络实现在GPU上进行卷积操作运算，为了减小overfitting， 全连接层引入一个最近兴起的方法：dropout。下面是整个网络的大致介绍：</p>
<p><img referrerpolicy="no-referrer"src="http://images2015.cnblogs.com/blog/1005315/201608/1005315-20160825202249163-5603433.png" /></p>
<p>如图，其中第一层为输入层，就是一张224X224X3的image， 首先进行的是卷积层，kernel 是11X11X3的， 那么每11X11的图像大小范围被卷积操作成为一个新的像素点的一个信道。卷积的步长为4， 说明224 X 224 被卷积成为是 55X55 的大小， 因为卷积核有96个，上下平分（因为被分到不同的GPU进行运算），所以第二层是 55X55X48 的新的层。</p>
<p>(1), Relu非线性操作：</p>
<p>我们知道在浅层神经网络中， 引入非线性操作（也叫激活函数 active function），可以增强神经网络的泛化能力，使得神经网络更加robusting。但是在深层网络中，使用tanh函数，作为激活函数，增加了大量的计算，使得训练更加慢了，引入Hinton的Rectified Linear units (Relu) 来作为激活函数，</p>
<p>Relu(x) = max(0, x)</p>
<p>这样的好处： 第一是在论文中也说明了，简单的max计算，大大减少了计算量，可以提高训练速度， 第二是梯度在Relu中是直接传递的，鉴于深度网络的梯度衰减的现象，Relu可以保持梯度，减缓梯度衰减的趋势。 另外一个方面也是bp过程中没有了梯度换算的操作，加快了训练。</p>
<p>(2), 在多GPU上进行运算</p>
<p>因为整个神经网络的训练是卷积之间的操作基本是独立的，所以可以采用独立的两个GPU进行运算，增快训练的速度。</p>
<p>(3), Normalization</p>
<p>为了不让某一些kernel的weight变得很大，要对不同的kernel进行Normalization。</p>
<p>（为什么weight不能很大，如果某一个kernel 的weight变得很大的话，它的权值稍微变化则会引起很大的影响，那会重点改变它的weight而忽视其他太小weight的kernel）</p>
<p><img referrerpolicy="no-referrer"src="http://images2015.cnblogs.com/blog/1005315/201608/1005315-20160825202919288-1242496490.png" /></p>
<p>其中， k, n, alpha, beta 这些常量都是&ldquo;可调参数&rdquo;， 由最好的validation set决定</p>
<p>(4), 对下采样层进行Overlapping Pooling</p>
<p>传统的下采样是不重叠的，但是为了精确性，使得识别度更高，对Pooling层进行Overlapping Pooling。</p>
<p>Pooling的好处，有点类似了 SIFT 的pyramid 结构去解读一张图片，此外还可以减少 pixels 的个数， 减少后面全连接层的神经元个数。</p>
<p>这么庞大的神经网络，这么多参数，很容易陷入overfitting的，减少overfitting的方式有两种Data Augmentation 和 Dropout</p>
<p>(5), &nbsp;Data Augmentation</p>
<p>最常用的方法是：增大数据集的量，Label-preserving transformation. 本文中使用了两种Data Augmentation的方法，第一个是产生图片transformation和水平转换。因为有些图像进行水平转换是一致的，还有的操作是缩放操作（SIFT中算法的思想），旋转操作（可以增强物体识别的robustness）等。</p>
<p>第二种是改变训练图片的RGB的强度。 对图片中每一个RGB像素点进行一种变换，通过类似PCA的方法，求出特征向量和特征值，来提取主元</p>
<p><img referrerpolicy="no-referrer"src="http://images2015.cnblogs.com/blog/1005315/201608/1005315-20160825202942569-326291312.png" /></p>
<p>其中三个Alpha值对应image的三个channel，一张图片的每个像素都使用这个特定的随机值进行提取主元。</p>
<p>按照论文所说的，这种方法获取了image的天然特性，该特征对光照强度和光照颜色保持鲁棒性。</p>
<p>(6), Dropout</p>
<p>在全连接层，对有些隐层的神经元的输出置为0，对每个神经元输出置为0的概率是0.5，Dropout的神经元不会对前向传播操作造成影响，也退出了反向传导权值修正。这样即可以提高训练效率，也防止了overfitting。</p>
<p>本文的神经网络在前面的两个全连接层进行Dropout，有效防止了overfitting。</p>
<p>（7）， 训练的过程</p>
<p>每个batch使用128个样本进行训练，设置好动量参数，权值decay， 学习率， 等参数。</p>
<p>对于全连接层：</p>
<p>类似浅层神经网络的训练，反向传播，权值修正。BP算法对每一个weight进行反向修正，根据误差函数对权值的偏导，进行负梯度下降的训练。</p>
<p>对于卷积层：</p>
<p>矩阵权值修正， 这里涉及到BP算法的二维应用。 卷积层首先在训练之前是随机化处理（随机化应该也是有技巧的随机化）。</p>
<p>评论：</p>
<p>CNN真的是一个充满前景的深度网络， 从不同的角度和不同的方式去提取特征，尽可能地去提取图片中的信息，同时，还需要很多的训练技巧，防止overfitting。</p>
<p>网络结构是越大越好，网络结构越复杂，神经元的个数越多，这个网络的capacity 越强。 &nbsp;同时在训练的过程中，训练技巧则是在防止overfitting 和 underfitting 之间找到那个平衡点。</p>
<p>最近的参与到openface的训练，体会到了这两个至关重要的point。</p>
<p>reference:</p>
<p>(1),&nbsp;http://www.cnblogs.com/tornadomeet/archive/2013/05/05/3061457.html</p>
<p>(2), 在路上&nbsp;http://zhangliliang.com/2014/07/01/paper-note-alexnet-nips2012/</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/r93xp7g9.html">&lbrack;MySQL Reference Manual&rsqb; 24 MySQL sys框架</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qyrv6j8.html">FirstUniqueCharacterInString</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q21on38.html">&lpar;转&rpar;MySQL命令行--导入导出数据库</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q277nv8.html">java 笔记&lpar;3&rpar; &mdash;&mdash;  动态代理，静态代理，cglib代理</a>
		</li>
						<li><a href="https://www.batexi.com/a/90v2ren8.html">TCP&sol;IP之大明王朝邮差</a>
		</li>
						<li><a href="https://www.batexi.com/a/8z1rngd9.html">10个经典的Java main 方法面试题</a>
		</li>
						<li><a href="https://www.batexi.com/a/qn1wln38.html">HDU 5744  Keep On Movin （贪心）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlmpd2k9.html">STM32软件仿真的一个注意点</a>
		</li>
						<li><a href="https://www.batexi.com/a/qydl6rxq.html">阿里云服务器CentOS 5&period;7&lpar;64位&rpar;安装配置LAMP服务器&lpar;Apache&plus;PHP5&plus;MySQL&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/95x15jz8.html">Js冒泡事件和捕获事件</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2wp543q.html">Android状态栏颜色修改</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j05vmlq.html">Nutch的日志系统</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwjk1dl8.html">Android 程式开发：（廿一）消息传递 &mdash;&mdash; 21&period;3 使用Intent发送短信</a>
		</li>
						<li><a href="https://www.batexi.com/a/8menrepq.html">android之写文件到sd卡</a>
		</li>
						<li><a href="https://www.batexi.com/a/8menx7oq.html">exe解析</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kpdmmr9.html">《Linux Device Drivers》第十八章 TTY驱动程序&mdash;&mdash;note</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy1x6pdq.html">goDaddy SSL证书 Nginx配置全流程 （转）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ey6okj9.html">Vim配置及使用技巧</a>
		</li>
						<li><a href="https://www.batexi.com/a/90m6pgn8.html">Emacs中的拼写检查</a>
		</li>
						<li><a href="https://www.batexi.com/a/qllelrkq.html">机器学习实战（笔记）------------KNN算法</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/wq1dllzq.html">my&lowbar;log</a>
			</li>
						<li><a href="https://www.batexi.com/a/m8zl353q.html">参加 Tokyo Westerns &sol; MMA CTF 2nd 2016 经验与感悟 TWCTF 2016 WriteUp</a>
			</li>
						<li><a href="https://www.batexi.com/a/r8mxyn09.html">corefile 设置</a>
			</li>
						<li><a href="https://www.batexi.com/a/wq1dom2q.html">jqueryUI小案例</a>
			</li>
						<li><a href="https://www.batexi.com/a/495nlgv9.html">java 22 - 20 多线程之线程池</a>
			</li>
						<li><a href="https://www.batexi.com/a/jqdxvev8.html">DataConvertJson</a>
			</li>
						<li><a href="https://www.batexi.com/a/1q26lxw9.html">javascript中的链表结构&mdash;从链表中删除元素</a>
			</li>
						<li><a href="https://www.batexi.com/a/e9jx45lq.html">Hibernate总结3</a>
			</li>
						<li><a href="https://www.batexi.com/a/49gxvo7q.html">oracle 事务总结</a>
			</li>
						<li><a href="https://www.batexi.com/a/e9jxo4eq.html">BZOJ 4717 改装</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
